org.apache.ignite.internal.commandline.diagnostic

## Class PageLocksCommand.Arguments

- java.lang.Object
- - org.apache.ignite.internal.commandline.diagnostic.PageLocksCommand.Arguments

Enclosing class:
  PageLocksCommand

    public static class PageLocksCommand.Arguments
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Arguments(Operation op, String filePath, boolean allNodes, Set<String> nodeIds)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Arguments

    public Arguments(Operation op,
                     String filePath,
                     boolean allNodes,
                     Set<String> nodeIds)

Parameters:
  `op` - Operation.
  `filePath` - File path.
  `allNodes` - If `True` include all available nodes for command. If `False` include only subset.
  `nodeIds` - Node ids.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020